Package org.apache.aries.jax.rs.rest.management.internal.jaxb

## Class ServiceSchemaContextResolver

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.jaxb.ServiceSchemaContextResolver

All Implemented Interfaces:
  `javax.ws.rs.ext.ContextResolver<JAXBContext>`

    @Provider
    @Produces({"application/org.osgi.service+json","application/org.osgi.service+xml","application/org.osgi.services.representations+json","application/org.osgi.services.representations+xml"})
    public class ServiceSchemaContextResolver
    extends Object
    implements javax.ws.rs.ext.ContextResolver<JAXBContext>

### Constructor Summary

Constructors
`ServiceSchemaContextResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JAXBContext` `getContext​(Class<?> type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceSchemaContextResolver

    public ServiceSchemaContextResolver()

### Method Detail

#### getContext

    public JAXBContext getContext​(Class<?> type)

Specified by:
  `getContext` in interface `javax.ws.rs.ext.ContextResolver<JAXBContext>`